summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDubhghlas McLaughlin <103212704+mcdubhghlas@users.noreply.github.com>2024-10-18 12:46:14 -0500
committerDubhghlas McLaughlin <103212704+mcdubhghlas@users.noreply.github.com>2024-10-18 12:46:14 -0500
commit198e2bb0bae361f19b965d3d8f2b11e777a0d693 (patch)
tree65366b5bb05dc9c306b04a31909fec97b521f4d6
downloadmcdubh-overlay-198e2bb0bae361f19b965d3d8f2b11e777a0d693.tar.gz
pushing to server
-rw-r--r--dev-games/redot/Manifest3
-rw-r--r--dev-games/redot/redot-4.4_beta.ebuild180
-rw-r--r--metadata/layout.conf3
-rw-r--r--profiles/eapi1
-rw-r--r--profiles/repo_name1
5 files changed, 188 insertions, 0 deletions
diff --git a/dev-games/redot/Manifest b/dev-games/redot/Manifest
new file mode 100644
index 0000000..3375c87
--- /dev/null
+++ b/dev-games/redot/Manifest
@@ -0,0 +1,3 @@
+DIST redot-linuxbsd.zip 55256813 BLAKE2B 42e54c47aa208688a9a11ffcdc3982175e819f8fa690c2be33f35d5cede2f61fbb86f033581c3433f2bb73ed73c46409d814002219891d53d800f348d77c931b SHA512 dfb52799ad3441813e7866067aa347787427e591480a8c421e1634cf37d6281b32cc5ab1debe23265b495f056f4275c72373338f62ea451126169d41baa95722
+DIST redot-4.4_beta.zip 55256813 BLAKE2B 42e54c47aa208688a9a11ffcdc3982175e819f8fa690c2be33f35d5cede2f61fbb86f033581c3433f2bb73ed73c46409d814002219891d53d800f348d77c931b SHA512 dfb52799ad3441813e7866067aa347787427e591480a8c421e1634cf37d6281b32cc5ab1debe23265b495f056f4275c72373338f62ea451126169d41baa95722
+
diff --git a/dev-games/redot/redot-4.4_beta.ebuild b/dev-games/redot/redot-4.4_beta.ebuild
new file mode 100644
index 0000000..58b2809
--- /dev/null
+++ b/dev-games/redot/redot-4.4_beta.ebuild
@@ -0,0 +1,180 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Open-source game engine for everyone. No strings attached."
+HOMEPAGE="https://www.redotengine.org/"
+SRC_URI="https://github.com/Redot-Engine/redot-engine/releases/download/2024101114/redot-linuxbsd.zip -> ${P}.zip"
+
+LICENSE="
+ MIT
+ Apache-2.0 BSD Boost-1.0 CC0-1.0 Unlicense ZLIB
+ gui? ( CC-BY-4.0 ) tools? ( OFL-1.1 )
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="
+ alsa +dbus debug deprecated +fontconfig +gui pulseaudio raycast
+ speech test +theora +tools +udev +upnp +vulkan wayland +webp
+"
+REQUIRED_USE="wayland? ( gui )"
+RESTRICT="test"
+
+RDEPEND="
+ app-arch/brotli:=
+ app-arch/zstd:=
+ dev-games/recastnavigation:=
+ dev-libs/icu:=
+ dev-libs/libpcre2:=[pcre32]
+ media-libs/freetype[brotli,harfbuzz]
+ media-libs/harfbuzz:=[icu]
+ media-libs/libogg
+ media-libs/libpng:=
+ media-libs/libvorbis
+ <net-libs/mbedtls-3:=
+ net-libs/wslay
+ sys-libs/zlib:=
+ alsa? ( media-libs/alsa-lib )
+ dbus? ( sys-apps/dbus )
+ fontconfig? ( media-libs/fontconfig )
+ gui? (
+ media-libs/libglvnd
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxkbcommon
+ tools? ( raycast? ( media-libs/embree:4 ) )
+ vulkan? ( media-libs/vulkan-loader[X,wayland?] )
+ )
+ pulseaudio? ( media-libs/libpulse )
+ speech? ( app-accessibility/speech-dispatcher )
+ theora? ( media-libs/libtheora )
+ tools? ( app-misc/ca-certificates )
+ udev? ( virtual/udev )
+ wayland? (
+ dev-libs/wayland
+ gui-libs/libdecor
+ )
+ webp? ( media-libs/libwebp:= )
+"
+DEPEND="
+ ${RDEPEND}
+ gui? ( x11-base/xorg-proto )
+ tools? ( test? ( dev-cpp/doctest ) )
+"
+BDEPEND="
+ virtual/pkgconfig
+ wayland? ( dev-util/wayland-scanner )
+"
+
+src_unpack() {
+ unpack ${P}.zip
+ mv redot-linux-dev ${P}
+ mv ${P}/redot.linuxbsd.editor.x86_64 ${P}/${P}
+}
+
+src_compile() {
+ local -x BUILD_NAME=gentoo # replaces "custom_build" in version string
+
+ filter-lto #921017
+
+ local esconsargs=(
+ progress=no
+ verbose=yes
+
+ use_sowrap=no
+
+ alsa=$(usex alsa)
+ dbus=$(usex dbus)
+ deprecated=$(usex deprecated)
+ execinfo=no # not packaged, disables crash handler if non-glibc
+ fontconfig=$(usex fontconfig)
+ opengl3=$(usex gui)
+ pulseaudio=$(usex pulseaudio)
+ speechd=$(usex speech)
+ udev=$(usex udev)
+ use_volk=no # unnecessary when linking directly to libvulkan
+ vulkan=$(usex gui $(usex vulkan))
+ wayland=$(usex wayland)
+ # TODO: retry to add optional USE=X, wayland support is new
+ # and gui build is not well wired to handle USE="-X wayland" yet
+ x11=$(usex gui)
+
+ system_certs_path="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt
+
+ # platform/*/detect.py uses builtin_* switches to check if need
+ # to link with system libraries, but many ignore whether the dep
+ # is actually used, so "enable" deleted builtins on disabled deps
+ builtin_brotli=no
+ builtin_certs=no
+ builtin_clipper2=yes # not packaged
+ builtin_embree=$(usex !gui yes $(usex !tools yes $(usex !raycast)))
+ builtin_enet=yes # bundled copy is patched for IPv6+DTLS support
+ builtin_freetype=no
+ builtin_glslang=yes #879111 (for now, may revisit if more stable)
+ builtin_graphite=no
+ builtin_harfbuzz=no
+ builtin_icu4c=no
+ builtin_libogg=no
+ builtin_libpng=no
+ builtin_libtheora=$(usex !theora)
+ builtin_libvorbis=no
+ builtin_libwebp=$(usex !webp)
+ builtin_mbedtls=no
+ builtin_miniupnpc=yes #934044 (for now, should revisit)
+ builtin_msdfgen=yes # not wired for unbundling nor packaged
+ builtin_openxr=yes # not packaged
+ builtin_pcre2=no
+ builtin_recastnavigation=no
+ builtin_rvo2=yes # bundled copy has redot-specific changes
+ builtin_squish=yes # ^ likewise, may not be safe to unbundle
+ builtin_wslay=no
+ builtin_xatlas=yes # not wired for unbundling nor packaged
+ builtin_zlib=no
+ builtin_zstd=no
+ # (more is bundled in third_party/ but they lack builtin_* switches)
+
+ # modules with optional dependencies, "possible" to disable more but
+ # gets messy and breaks all sorts of features (expected enabled)
+ module_mono_enabled=no # unhandled
+ # note raycast is only enabled on amd64+arm64, see raycast/config.py
+ module_raycast_enabled=$(usex gui $(usex tools $(usex raycast)))
+ module_theora_enabled=$(usex theora)
+ module_upnp_enabled=$(usex upnp)
+ module_webp_enabled=$(usex webp)
+
+ # let *FLAGS handle these
+ debug_symbols=no
+ lto=none
+ optimize=custom
+ use_static_cpp=no
+ )
+
+ esconsargs+=(
+ target=$(usex tools editor template_$(usex debug{,} release))
+ dev_build=$(usex debug)
+
+ # harmless but note this bakes in --test in the final binary
+ tests=$(usex tools $(usex test))
+ )
+
+ escons "${esconsargs[@]}"
+}
+
+src_test() {
+ xdg_environment_reset
+
+ bin/redot* --headless --test || die
+}
+
+src_install() {
+ # suffix varies depending on arch/features, use wildcard to simplify
+ newbin redot* redot
+}
+
+
diff --git a/metadata/layout.conf b/metadata/layout.conf
new file mode 100644
index 0000000..20fcfea
--- /dev/null
+++ b/metadata/layout.conf
@@ -0,0 +1,3 @@
+masters = gentoo
+thin-manifests = true
+sign-manifests = false
diff --git a/profiles/eapi b/profiles/eapi
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/profiles/eapi
@@ -0,0 +1 @@
+8
diff --git a/profiles/repo_name b/profiles/repo_name
new file mode 100644
index 0000000..4083037
--- /dev/null
+++ b/profiles/repo_name
@@ -0,0 +1 @@
+local